package com.mortals.xhx.tools.uid.impl;

import com.mortals.xhx.tools.uid.ISeqGeneratorService;
import org.springframework.stereotype.Service;

@Service("seqGeneratorService")
public class DefaultSeqGeneratorService implements ISeqGeneratorService {

    @Override
    public long nextOrderId(int workerId) {
        return SeqGenerator.nextId(workerId);
    }

    @Override
    public Long[] parserOrderId(long orderId) {
        return SeqGenerator.parserId(orderId);
    }

}
